Have a question or an issue with Maximo? Join our Maximo411 Slack channel for help!Click Here

IBM Maximo Asset Management is vulnerable to SQL injection (CVE-2015-7448)

IBM Maximo Asset Management is vulnerable to SQL injection. A remote attacker could send specially-crafted SQL statements, which could allow the attacker to view, add, modify or delete information in the back-end database.
Vulnerability Details
CVEID:  CVE-2015-7448
DESCRIPTION:  IBM Maximo Asset Management is vulnerable to SQL injection. A remote attacker could send specially-crafted SQL statements, 
                          which could allow the attacker to view, add, modify or delete information in the back-end database.
CVSS Base Score: 5.4
CVSS Temporal Score:  See https://exchange.xforce.ibmcloud.com/vulnerabilities/108203 for the current score
CVSS Environmental Score: Undefined
CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:N)
Affected Products
1. Maximo Asset Management 7.6, 7.5, 7.1
2. Maximo Asset Management Essentials 7.5, 7.1
3. Maximo for Energy Optimization 7.1
4. Maximo for Government 7.5, 7.1
5. Maximo for Nuclear Power 7.5, 7.1
6. Maximo for Transportation 7.6, 7.5, 7.1
7. Maximo for Life Sciences 7.6, 7.5, 7.1
8. Maximo for Oil and Gas 7.5, 7.1
9. Maximo for Utilities 7.5, 7.1
10. SmartCloud Control Desk 7.6, 7.5
11. Tivoli Asset Management for IT 7.2, 7.1
12. Tivoli Service Request Manager 7.2, 7.1
13. Change and Configuration Management Database 7.2, 7.1


Need help fixing this vulerability? Contact us or feel free to give us a call.